Subject: Re: [PATCH] home: services: pipewire: Add utilities to profile.

From: Rutherther <[email-masked]>
Date: Wed, 30 Oct 2024 21:47:22 +0100

Antero Mejr <[email-masked]> writes:

> Rutherther <[email-masked]> writes:
>
>>> Resolves https://issues.guix.gnu.org/68565
>>> Adds wpctl, pw-cat, and other pw- utilities to the home profile.
>>
>> I think it would be at least nice to have an option that turns this off.
>> Why give the user the binaries, libraries to their profile if they are not actually
>> necessary? <snip>
>
> I think they are necessary - if the service is running then audio will
> be routed through pipewire, and if that is the case then wpctl is needed
> to control the routes and volume, both essential features of an audio
> server.
>
> The pw-* utilities are mostly for recording/playback, which I think is
> also important but perhaps not essential.

Nope, I don't have them in my profile and I can control volume and
switch outputs just fine through pavucontrol.

Regards,
Rutherther